# LanguageConfiguration (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.config

## Class LanguageConfiguration

- java.lang.Object
- - org.bukkit.configuration.MemorySection
  - - org.bukkit.configuration.MemoryConfiguration
    - - org.bukkit.configuration.file.FileConfiguration
      - - de.epiceric.shopchest.config.LanguageConfiguration

All Implemented Interfaces:
  org.bukkit.configuration.Configuration, org.bukkit.configuration.ConfigurationSection

    public class LanguageConfiguration
    extends org.bukkit.configuration.file.FileConfiguration

### Field Summary

### Fields inherited from class org.bukkit.configuration.MemoryConfiguration

`defaults, options`

### Fields inherited from class org.bukkit.configuration.MemorySection

`map`

### Constructor Summary

Constructors
Constructor and Description
`LanguageConfiguration(ShopChest plugin, boolean showMessages)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `buildHeader()`
`String` `getString(String path, String def)`
`void` `load(File file)`
`void` `loadFromString(String s)`
`String` `saveToString()`

### Methods inherited from class org.bukkit.configuration.file.FileConfiguration

`load, load, options, save, save`

### Methods inherited from class org.bukkit.configuration.MemoryConfiguration

`addDefault, addDefaults, addDefaults, getDefaults, getParent, setDefaults`

### Methods inherited from class org.bukkit.configuration.MemorySection

`contains, contains, createPath, createPath, createSection, createSection, get, get, getBoolean, getBoolean, getBooleanList, getByteList, getCharacterList, getColor, getColor, getConfigurationSection, getCurrentPath, getDefault, getDefaultSection, getDouble, getDouble, getDoubleList, getFloatList, getInt, getInt, getIntegerList, getItemStack, getItemStack, getKeys, getList, getList, getLong, getLong, getLongList, getMapList, getName, getOfflinePlayer, getOfflinePlayer, getRoot, getShortList, getString, getStringList, getValues, getVector, getVector, isBoolean, isColor, isConfigurationSection, isDouble, isInt, isItemStack, isList, isLong, isOfflinePlayer, isPrimitiveWrapper, isSet, isString, isVector, mapChildrenKeys, mapChildrenValues, set, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.configuration.ConfigurationSection

`contains, contains, createSection, createSection, get, get, getBoolean, getBoolean, getBooleanList, getByteList, getCharacterList, getColor, getColor, getConfigurationSection, getCurrentPath, getDefaultSection, getDouble, getDouble, getDoubleList, getFloatList, getInt, getInt, getIntegerList, getItemStack, getItemStack, getKeys, getList, getList, getLong, getLong, getLongList, getMapList, getName, getOfflinePlayer, getOfflinePlayer, getRoot, getShortList, getString, getStringList, getValues, getVector, getVector, isBoolean, isColor, isConfigurationSection, isDouble, isInt, isItemStack, isList, isLong, isOfflinePlayer, isSet, isString, isVector, set`

### Constructor Detail

#### LanguageConfiguration

    public LanguageConfiguration(ShopChest plugin,
                                 boolean showMessages)

### Method Detail

#### saveToString

    public String saveToString()

Specified by:
  `saveToString` in class `org.bukkit.configuration.file.FileConfiguration`

#### getString

    public String getString(String path,
                            String def)

Specified by:
  `getString` in interface `org.bukkit.configuration.ConfigurationSection`
Overrides:
  `getString` in class `org.bukkit.configuration.MemorySection`

#### load

    public void load(File file)
              throws IOException,
                     org.bukkit.configuration.InvalidConfigurationException

Overrides:
  `load` in class `org.bukkit.configuration.file.FileConfiguration`
Throws:
  `IOException`
  `org.bukkit.configuration.InvalidConfigurationException`

#### loadFromString

    public void loadFromString(String s)
                        throws org.bukkit.configuration.InvalidConfigurationException

Specified by:
  `loadFromString` in class `org.bukkit.configuration.file.FileConfiguration`
Throws:
  `org.bukkit.configuration.InvalidConfigurationException`

#### buildHeader

    protected String buildHeader()

Specified by:
  `buildHeader` in class `org.bukkit.configuration.file.FileConfiguration`